Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.net
Class FTP.FTPDirectoryScanner

    java.lang.Object
      |
      +--org.apache.tools.ant.DirectoryScanner
            |
            +--org.apache.tools.ant.taskdefs.optional.net.FTP.FTPDirectoryScanner

All Implemented Interfaces:
  FileScanner

Enclosing class:
  FTP

protected class FTP.FTPDirectoryScanner
extends DirectoryScanner

Field Summary
`protected org.apache.tools.ant.taskdefs.optional.net.FTPClient` | `ftp`

Fields inherited from class org.apache.tools.ant.DirectoryScanner
`basedir, DEFAULTEXCLUDES, dirsExcluded, dirsIncluded, dirsNotIncluded, excludes, filesExcluded, filesIncluded, filesNotIncluded, haveSlowResults, includes`

Constructor Summary
`FTP.FTPDirectoryScanner(org.apache.tools.ant.taskdefs.optional.net.FTPClient ftp)`

Method Summary
`void` | `scan()` Scans the base directory for files that match at least one include pattern, and don't match any exclude patterns.
`protected void` | `scandir(java.lang.String dir, java.lang.String vpath, boolean fast)`

Methods inherited from class org.apache.tools.ant.DirectoryScanner
`addDefaultExcludes, couldHoldIncluded, getBasedir, getExcludedDirectories, getExcludedFiles, getIncludedDirectories, getIncludedFiles, getNotIncludedDirectories, getNotIncludedFiles, isExcluded, isIncluded, match, matchPath, matchPatternStart, scandir, setBasedir, setBasedir, setExcludes, setIncludes, slowScan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ftp

    protected org.apache.tools.ant.taskdefs.optional.net.FTPClient ftp

Constructor Detail

### FTP.FTPDirectoryScanner

    public FTP.FTPDirectoryScanner(org.apache.tools.ant.taskdefs.optional.net.FTPClient ftp)

Method Detail

### scan

    public void scan()

  Description copied from class: `DirectoryScanner`
  Scans the base directory for files that match at least one include pattern, and don't match any exclude patterns.
  Overrides:
    `scan` in class `DirectoryScanner`
  Following copied from class: `org.apache.tools.ant.DirectoryScanner`
  Throws:
    `java.lang.IllegalStateException` - when basedir was set incorrecly

### scandir

    protected void scandir(java.lang.String dir,
                           java.lang.String vpath,
                           boolean fast)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.